Can't deinstall PHP 5.6 because of phpMyAdmin

Discuss the phpMyAdmin Package Here.
Forum rules
We've moved! Head over to Synology Community (community.synology.com) to meet up with our team and other Synology enthusiasts!
Code4R7
I'm New!
I'm New!
Posts: 8
Joined: Sat Jul 01, 2017 9:56 pm

Can't deinstall PHP 5.6 because of phpMyAdmin

Unread post by Code4R7 » Thu Aug 09, 2018 8:55 am

While PHP 5.6 is about to be end-of-life according to: http://php.net/supported-versions.php
I thought it would be a good idea to remove PHP 5.6 since I already have PHP 7 installed.
When I click the remove button in package manager to deinstall PHP 5.6, it seems that phpMyAdmin still depends on it.

This is unnecessary because the current version of phpMyAdmin (4.8) supports PHP 5.5 to PHP 7.2: https://www.phpmyadmin.net/downloads
The obvious workaround is to install phpMyAdmin manually, but that whould disconnect the install from package manager.

Is there a way to remove PHP 5.6 and keep phpMyAdmin with package manager?

Code4R7
I'm New!
I'm New!
Posts: 8
Joined: Sat Jul 01, 2017 9:56 pm

Re: Can't deinstall PHP 5.6 because of phpMyAdmin

Unread post by Code4R7 » Wed Sep 05, 2018 8:42 am

I have found no way to do this.
Because of the focus on DSM 7 with newer PHP support I do not expect the current phpMyAdmin dependency on PHP 5.6 will change.

Locked

Return to “phpMyAdmin”